Index: pro-violet-viettel/sourcecode/application/modules/admin/controllers/cardlog.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/controllers/cardlog.php	(revision 539)
+++ pro-violet-viettel/sourcecode/application/modules/admin/controllers/cardlog.php	(revision 540)
@@ -56,5 +56,7 @@
 			$id = $cl['us_id'];
 			$username = $this->get_username($id);
+			$servicename = $this->get_servicename($cl['service_id']);
 			$cl['username'] = $username;
+			$cl['servicename'] = $servicename;
 			array_push($cardlogs, $cl);
 		endforeach;
@@ -88,3 +90,10 @@
 	}
 	
+	private function get_servicename($service_id)
+	{
+		$this->load->model('webservice_model');
+		$service = $this->webservice_model->search_by_id($service_id);
+		return $service['service_name'];
+	}
+	
 }
Index: pro-violet-viettel/sourcecode/application/modules/admin/controllers/smslog.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/controllers/smslog.php	(revision 539)
+++ pro-violet-viettel/sourcecode/application/modules/admin/controllers/smslog.php	(revision 540)
@@ -57,5 +57,7 @@
 			$id = $smsl['us_id'];
 			$username = $this->get_username($id);
+			$servicename = $this->get_servicename($smsl['service_id']);
 			$smsl['username'] = $username;
+			$smsl['servicename'] = $servicename;
 			array_push($smslogs, $smsl);
 		endforeach;
@@ -88,3 +90,10 @@
 
 	}
+	
+	private function get_servicename($service_id)
+	{
+		$this->load->model('webservice_model');
+		$service = $this->webservice_model->search_by_id($service_id);
+		return $service['service_name'];
+	}
 }
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/cardlog/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/cardlog/listview.php	(revision 539)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/cardlog/listview.php	(revision 540)
@@ -25,5 +25,5 @@
             <!-- PAGE CONTENT BEGINS -->
             <div style="padding-bottom:4px" class="table-header">
-                Danh sÃ¡ch log
+                Danh sÃ¡ch Card Log
             </div>
 			<!-- PAGE CONTENT BEGINS -->
@@ -63,5 +63,5 @@
 								</th>
 							<th class="<?php if ($sorting_field == 'sender') {echo $sorting_order;} else {echo "sorting";} ?>" id="sender" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="NgÆ°á»i gá»­i: activate to sort column ascending">NgÆ°á»i gá»­i</th>
-							<th class="<?php if ($sorting_field == 'us_id') {echo $sorting_order;} else {echo "sorting";} ?>" id="us_id" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="TÃ i khoáº£n: activate to sort column ascending">TÃ i khoáº£n</th>
+							<th class="<?php if ($sorting_field == 'service_id') {echo $sorting_order;} else {echo "sorting";} ?>" id="serivice_id" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Dá»ch vá»¥: activate to sort column ascending">Dá»ch vá»¥</th>
 							<th class="<?php if ($sorting_field == 'pin_code') {echo $sorting_order;} else {echo "sorting";} ?>" id="pin_code" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="MÃ£ pin: activate to sort column ascending">MÃ£ pin</th>
 							<th class="<?php if ($sorting_field == 'serial_number') {echo $sorting_order;} else {echo "sorting";} ?>" id="serial_number" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» seri: activate to sort column ascending">Sá» seri</th>
@@ -85,7 +85,7 @@
 
 							<td>
-								<a href="#"><?php echo $cardlog['sender']; ?></a>
+								<?php echo $cardlog['sender']; ?>
 							</td>
-							<td><?php echo $cardlog['username']; ?></td>
+							<td><?php echo $cardlog['servicename']; ?></td>
 							<td><?php echo $cardlog['pin_code']; ?></td>
 							<td><?php echo $cardlog['serial_number']; ?></td>
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/smslog/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/smslog/listview.php	(revision 539)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/smslog/listview.php	(revision 540)
@@ -25,5 +25,5 @@
             <!-- PAGE CONTENT BEGINS -->
             <div style="padding-bottom:4px" class="table-header">
-                Danh sÃ¡ch log
+                Danh sÃ¡ch SMS Log
             </div>
 			<!-- PAGE CONTENT BEGINS -->
@@ -63,7 +63,7 @@
 								</th>
 							<th class="<?php if ($sorting_field == 'sender') {echo $sorting_order;} else {echo "sorting";} ?>" id="sender" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="NgÆ°á»i gá»­i: activate to sort column ascending">NgÆ°á»i gá»­i</th>
-							<th class="<?php if ($sorting_field == 'us_id') {echo $sorting_order;} else {echo "sorting";} ?>" id="us_id" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="TÃ i khoáº£n: activate to sort column ascending">TÃ i khoáº£n</th>
-							<th class="<?php if ($sorting_field == 'mobody') {echo $sorting_order;} else {echo "sorting";} ?>" id="mobody" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="MO: activate to sort column ascending">MO</th>
-							<th class="<?php if ($sorting_field == 'mtbody') {echo $sorting_order;} else {echo "sorting";} ?>" id="mtbody" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="MT: activate to sort column ascending">MT</th>
+							<th class="<?php if ($sorting_field == 'service_id') {echo $sorting_order;} else {echo "sorting";} ?>" id="service_id" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Dá»ch vá»¥: activate to sort column ascending">Dá»ch vá»¥</th>
+							<th class="<?php if ($sorting_field == 'commandcode') {echo $sorting_order;} else {echo "sorting";} ?>" id="commandcode" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="MÃ£ lá»nh: activate to sort column ascending">MÃ£ lá»nh</th>
+							<th class="<?php if ($sorting_field == 'info') {echo $sorting_order;} else {echo "sorting";} ?>" id="info" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="ThÃŽng tin: activate to sort column ascending">ThÃŽng tin</th>
 							<th class="<?php if ($sorting_field == 'created_time') {echo $sorting_order;} else {echo "sorting";} ?>" id="created_time" class="hidden-480" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Thá»i gian: activate to sort column ascending">
 								<i class="icon-time bigger-110 hidden-480"></i>
@@ -84,9 +84,9 @@
 
 							<td>
-								<a href="#"><?php echo $smslog['sender']; ?></a>
+								<?php echo $smslog['sender']; ?>
 							</td>
-							<td><?php echo $smslog['username']; ?></td>
-							<td><?php echo $smslog['mobody']; ?></td>
-							<td><?php echo $smslog['mtbody']; ?></td>
+							<td><?php echo $smslog['servicename']; ?></td>
+							<td><?php echo $smslog['commandcode']; ?></td>
+							<td><?php echo $smslog['info']; ?></td>
 							<td><?php echo $smslog['created_time']; ?></td>
 						</tr>
@@ -117,5 +117,3 @@
         init_page();
     }
-
-
 </script>
Index: pro-violet-viettel/sourcecode/application/modules/frontend/controllers/home.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/controllers/home.php	(revision 539)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/controllers/home.php	(revision 540)
@@ -39,9 +39,8 @@
         $password = $this->input->post('password', TRUE);
         $autologin = ($this->input->post('remember_me') == 'on') ? 1 : 0;
+		$src = 'SBG';
         $token = md5($username . self::TOKENPW);
-
         $this->load->model(array('user_model'));
-        $data = $this->user_model->checkLogin('violet', $token, $username, $password);
-
+        $data = $this->user_model->checkLogin($src, $token, $username, $password);
         if ($data == null) {
             $this->session->set_flashdata('login_error', TRUE);
@@ -107,13 +106,13 @@
     public function change_profile() {
         $this->load->model('user_model');
-        $sentNumber = '01662860000';
+        $sentNumber = '0979947802';
         $serviceID = 1;
         $password = '123456';
         $commandcode = "SBG";
-        $receiveID = '0979947802';
+        $receiveID = '01662860000';
         $info = "SBG TD";
         $receiveTime = date("Y-m-d H:i:s");
         $status = 0;
-        $data = $this->user_model->changeProfile($sentNumber, $receiveID, $password, $serviceID, $commandcode, $info, $receiveTime, $status);
+        $data = $this->user_model->changeProfile($sentNumber, $receiveID, $password, $status);
         echo $data;
     }
@@ -134,4 +133,35 @@
     }
 
+	
+	public function register_vip()
+	{
+		$this->load->model('user_model');
+		$sentNumber = '01662860000';
+		$serviceID = 1;
+		$commandcode = "SBG";
+		$vipNum = 1;
+		$mainAccBalanced = 15000;
+		$info = "SBG DK VIP1";
+		$receiveTime = date("Y-m-d H:i:s");
+		$status = 0;
+		$data = $this->user_model->registerVip($sentNumber, $vipNum, $serviceID, $commandcode, $info, $status);
+		echo $data;
+	}
+	
+	public function recharge_account()
+	{
+		$this->load->model('user_model');
+		$sentNumber = '0979947802';
+		$receiveID = '01662860000';
+		$serviceID = 1;
+		$commandcode = "SBG";
+		$vipNum = 1;
+		$mainAccBalanced = 15000;
+		$amount = 10000;
+		$info = "SBG NAP 01662860000 10000";
+		$status = 0;
+		$data = $this->user_model->rechargeAccount($sentNumber, $receiveID, $mainAccBalanced, $amount, $serviceID, $commandcode, $info, $status);
+		echo $data;
+	}
 }
 
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 539)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 540)
@@ -222,5 +222,5 @@
                                         </div>
                                         <div class="col-sm-4">
-                                            <button type="button" id="btn-charge" onclick="return chargeCard(<?php echo @$us_id; ?>);" class="btn btn-success">
+                                            <button type="button" 	 onclick="return chargeCard(<?php echo @$us_id; ?>);" class="btn btn-success">
                                                 <i class="icon-ok bigger-110"></i>
                                                 Tiáº¿p tá»¥c
@@ -363,5 +363,5 @@
                 <div class="alert alert-block alert-success">						
                     <p>
-                        QuÃ­ vá» ÄÃ£ náº¡p thÃ nh cÃŽng <b>10.000 </b>VND vÃ o tÃ i khoáº£n <b>0168942155</b>, tÃ i khoáº£n hiá»n táº¡i cá»§a quÃ­ vá» lÃ  <b>20.000 </b>VND.
+                        QuÃ­ vá» ÄÃ£ náº¡p thÃ nh cÃŽng <b>10.000 </b>VNÄ vÃ o tÃ i khoáº£n <b>0168942155</b>, tÃ i khoáº£n hiá»n táº¡i cá»§a quÃ­ vá» lÃ  <b>20.000 </b>VNÄ.
                     </p>
                 </div>