Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/home.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/home.php	(revision 540)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/home.php	(revision 541)
@@ -138,5 +138,5 @@
 						gá»­i tá»i
 						<strong>
-						8062</strong>.
+						8062</strong> (500Ä/tin).
 						</p>
 						<p>
@@ -165,5 +165,5 @@
 		      	<div class="alert alert-block alert-success">						
 							<p>
-								Äá» láº¥y láº¡i máº­t kháº©u cá»§a mÃ¬nh trÃªn há» thá»ng SBG Online, QuÃ­ vá» hÃ£y dÃ¹ng <strong>sá» Äiá»n thoáº¡i ÄÃ£ ÄÄng kÃ­ tÃ i khoáº£n</strong>vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK</strong> gá»­i tá»i <strong>8062.</strong>
+								Äá» láº¥y láº¡i máº­t kháº©u cá»§a mÃ¬nh trÃªn há» thá»ng SBG Online, QuÃ­ vá» hÃ£y dÃ¹ng <strong>sá» Äiá»n thoáº¡i ÄÃ£ ÄÄng kÃ­ tÃ i khoáº£n</strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK</strong> gá»­i tá»i <strong>8062 </strong>(500Ä/tin).
 							</p>
 				</div>
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 540)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 541)
@@ -186,5 +186,5 @@
 											
 											<p>
-												QuÃ­ vá» cÅ©ng cÃ³ thá» thay Äá»i máº­t kháº©u báº±ng cÃ¡ch dÃ¹ng sá» Äiá»n thoáº¡i <strong><?php echo $username; ?></strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK [MatKhauMoi]</strong> gá»­i tá»i <strong>8062</strong>. 
+												QuÃ­ vá» cÅ©ng cÃ³ thá» thay Äá»i máº­t kháº©u báº±ng cÃ¡ch dÃ¹ng sá» Äiá»n thoáº¡i <strong><?php echo $username; ?></strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK [MatKhauMoi]</strong> gá»­i tá»i <strong>8062</strong> (500Ä/tin). 
 											<p/>
 										</div>
@@ -237,7 +237,7 @@
                                         <div class="alert alert-block alert-success">						
                                             <p>
-                                                Sá»­ dá»¥ng thuÃª bao <strong><?php echo @$username; ?></strong> soáº¡n tin nháº¯n: <strong>SBG NAP [sotien] gá»­i 8062</strong>. <br/>
-                                                Náº¿u quÃ­ vá» sá»­ dá»¥ng thuÃª bao Viettel khÃ¡c thÃ¬ soáº¡n tin nháº¯n: <strong>SBG NAP <?php echo $username; ?>
-                                                    [sotien] gá»­i tá»i 8062</strong>.
+                                                Sá»­ dá»¥ng thuÃª bao <strong><?php echo @$username; ?></strong> soáº¡n tin nháº¯n: <strong>SBG NAP [SoTien] gá»­i 8062</strong>. <br/>
+                                                Náº¿u quÃ­ vá» sá»­ dá»¥ng thuÃª bao Viettel khÃ¡c thÃ¬ soáº¡n tin nháº¯n: <strong>SBG NAP [SoTien] <?php  echo $username; ?> gá»­i tá»i 8062</strong>.
+          
                                             </p>
                                         </div>
@@ -397,5 +397,5 @@
 				<div class="alert alert-block alert-success">						
 					<p>
-						QuÃ­ vá» cÃ³ thá» thay Äá»i Sá» Äiá»n thoáº¡i Äang sá»­ dá»¥ng báº±ng cÃ¡ch: TrÃªn sá» Äiá»n thoáº¡i má»i, quÃ­ vá» soáº¡n tin theo cÃº phÃ¡p: <strong>SBG DDT [SoDTCu] [MatKhau]</strong> gá»­i tá»i <strong>8062</strong>.
+						QuÃ­ vá» cÃ³ thá» thay Äá»i Sá» Äiá»n thoáº¡i Äang sá»­ dá»¥ng báº±ng cÃ¡ch: TrÃªn sá» Äiá»n thoáº¡i má»i, quÃ­ vá» soáº¡n tin theo cÃº phÃ¡p: <strong>SBG DDT [SoDTCu] [MatKhau]</strong> gá»­i tá»i <strong>8062</strong> (500Ä/tin).
 					</p>
 				</div>