Index: pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 558)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 559)
@@ -27,7 +27,11 @@
             $data['packages'] = $this->servicepackage_model->getAllPackages();
             $data['is_viettel'] = $user_info['is_viettel'];
+			$paidlogs = $this->user_model->getPaidlog($us_id);
+			$data['paidlogs'] = $paidlogs;
             parse_str($user, $info);
             $data = array_merge($data, $u);
             $data = array_merge($data, $user_info);
+			//var_dump($data);
+			
             $this->load->view('frontend/user_profile', $data);
         } else {
Index: pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php	(revision 558)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php	(revision 559)
@@ -365,5 +365,5 @@
 			$user ['updated_time'] = date ( 'Y-m-d H:i:s' );
 			$this->updateUser ( $us_id, $user );
-			$sms = "Qui vi da nap thanh cong " . $amount . " VND vao tai khoan " . $username . " tren soanbaigiang.smas.vn";
+			$sms = "Qui vi da nap thanh cong " . $amount . " VNÄ vao tai khoan " . $username . " tren soanbaigiang.smas.vn";
 			$status = 1;
 		} else {
@@ -445,7 +445,16 @@
 		$paidlog ['paidType'] = $paidType;
 		$paidlog ['amount'] = $amount;
+		$paidlog['source'] = "";
+		if ($paidType == 1)
+		{
+			$paidlog['source'] = $sentNumber;
+			
+		}else
+		{
+			$paidlog['source'] = "Tháº» cÃ o";
+		}
 		$paidlog ['paidTime'] = $paidTime;
 		$this->db->query ( 'UNLOCK TABLES' );
-		$sql = 'INSERT INTO tblpaidlog(us_id, paid_type, amount, paid_time) VALUES (?,?,?,?)';
+		$sql = 'INSERT INTO tblpaidlog(us_id, paid_type, amount, source, paid_time) VALUES (?,?,?,?,?)';
 		$query = $this->db->query ( $sql, $paidlog );
 	}
@@ -469,3 +478,14 @@
 		$query = $this->db->query ($sql, $cardlog);
 	}
+	
+	public function getPaidlog($us_id)
+	{
+		$this->db->query ( 'UNLOCK TABLES' );
+		$sql = 'SELECT * FROM tblpaidlog where us_id = ?';
+		$query = $this->db->query ( $sql, array (
+				$us_id
+		) );
+		$row = $query->result_array();
+		return $row;
+	}
 }
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 558)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 559)
@@ -328,8 +328,5 @@
                             <tr>
                                 <th class="center">
-                                    <label>
-                                        <input type="checkbox" class="ace" />
-                                        <span class="lbl"></span>
-                                    </label>
+									Tá»«
                                 </th>
                                 <th>Sá» tiá»n</th>
@@ -343,14 +340,19 @@
 
                         <tbody>
+							<?php if ($paidlogs) {?>
+							<?php foreach($paidlogs as $paidlog): ?>
                             <tr>
                                 <td class="center">
-                                    <label>
-                                        <input type="checkbox" class="ace" />
-                                        <span class="lbl"></span>
-                                    </label>
+								<?php echo $paidlog['source']; ?>
                                 </td>
-                                <td>$45</td>
-                                <td>Feb 12</td>
+                                <td><?php echo $paidlog['amount']; ?></td>
+                                <td><?php echo date('d-m-Y H:i:s', strtotime($paidlog['paid_time']));?></td>
                             </tr>
+							<?php endforeach; ?>
+							<?php }else{ ?>
+							<tr>
+                                <td class="center" colspan=3>QuÃ­ vá» chÆ°a cÃ³ giao dá»ch nÃ o!</td>
+							</tr>
+							<?php } ?>
                         </tbody>
                     </table>