Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/admin_acc/listview.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/admin_acc/listview.php	(revision 572)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/admin_acc/listview.php	(revision 573)
@@ -57,5 +57,5 @@
                                         <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">                                      
                                             <?php foreach ($itemsoptions as $option) { ?>
-                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?=$option?>"><?=$option?></option>
+                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?php echo $option;?>"><?php echo $option;?></option>
                                             <?php } ?>
                                         </select> báº£n ghi</label>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/cardlog/listview.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/cardlog/listview.php	(revision 572)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/cardlog/listview.php	(revision 573)
@@ -36,5 +36,5 @@
                                         <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">                                      
                                             <?php foreach ($itemsoptions as $option) { ?>
-                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?=$option?>"><?=$option?></option>
+                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?php echo $option;?>"><?php echo $option;?></option>
                                             <?php } ?>
                                         </select> báº£n ghi</label>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/report/listview.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/report/listview.php	(revision 572)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/report/listview.php	(revision 573)
@@ -16,5 +16,5 @@
                                         <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">                                      
                                             <?php foreach ($itemsoptions as $option) { ?>
-                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?=$option?>"><?=$option?></option>
+                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?php echo $option;?>"><?php echo $option;?></option>
                                             <?php } ?>
                                         </select> báº£n ghi</label>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/listview.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/listview.php	(revision 572)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/listview.php	(revision 573)
@@ -16,5 +16,5 @@
                                         <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">                                      
                                             <?php foreach ($itemsoptions as $option) { ?>
-                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?=$option?>"><?=$option?></option>
+                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?php echo $option;?>"><?php echo $option;?></option>
                                             <?php } ?>
                                         </select> báº£n ghi</label>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/listview_user.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/listview_user.php	(revision 572)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/listview_user.php	(revision 573)
@@ -16,5 +16,5 @@
                                         <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">                                      
                                             <?php foreach ($itemsoptions as $option) { ?>
-                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?=$option?>"><?=$option?></option>
+                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?php echo $option;?>"><?php echo $option;?></option>
                                             <?php } ?>
                                         </select> báº£n ghi</label>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/smslog/listview.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/smslog/listview.php	(revision 572)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/smslog/listview.php	(revision 573)
@@ -36,5 +36,5 @@
                                         <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">                                      
                                             <?php foreach ($itemsoptions as $option) { ?>
-                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?=$option?>"><?=$option?></option>
+                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?php echo $option;?>"><?php echo $option;?></option>
                                             <?php } ?>
                                         </select> báº£n ghi</label>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/listview.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/listview.php	(revision 572)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/listview.php	(revision 573)
@@ -54,5 +54,5 @@
                                         <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">                                      
                                             <?php foreach ($itemsoptions as $option) { ?>
-                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?=$option?>"><?=$option?></option>
+                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?php echo $option;?>"><?php echo $option;?></option>
                                             <?php } ?>
                                         </select> báº£n ghi</label>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/user/listview.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/user/listview.php	(revision 572)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/user/listview.php	(revision 573)
@@ -56,5 +56,5 @@
                                         <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">
                                             <?php foreach ($itemsoptions as $option) { ?>
-                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?=$option?>"><?=$option?></option>
+                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?php echo $option;?>"><?php echo $option;?></option>
                                             <?php } ?>
                                         </select> báº£n ghi</label>