Index: pro-violet-viettel/sourcecode/application/modules/admin/controllers/collaborator.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/controllers/collaborator.php	(revision 575)
+++ pro-violet-viettel/sourcecode/application/modules/admin/controllers/collaborator.php	(revision 576)
@@ -75,9 +75,9 @@
         if (strlen($input['full_name'])==0)
         {
-            $result['errors'][]="TÃªn cá»ng tÃ¡c viÃªn khÃŽng ÄÆ°á»£c Äá» trá»ng";
+            $result['errors'][]=array("content"=>"TÃªn cá»ng tÃ¡c viÃªn khÃŽng ÄÆ°á»£c Äá» trá»ng","field"=>"full_name");
         }
         if (strlen($input['login_name'])==0)
         {
-            $result['errors'][]="TÃªn ÄÄng nháº­p khÃŽng ÄÆ°á»£c Äá» trá»ng";
+            $result['errors'][]=array("content"=>"TÃªn ÄÄng nháº­p khÃŽng ÄÆ°á»£c Äá» trá»ng","field"=>"login_name");
         }
         else
@@ -85,10 +85,10 @@
             if ($this->collabolator_model->isExist(array('field'=>'login_name','value'=>$input['login_name'])))
             {
-                $result['errors'][]="TÃªn ÄÄng nháº­p ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng";
+                $result['errors'][]=array("content"=>"TÃªn ÄÄng nháº­p ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng","field"=>"login_name");
             }
         }
         if (strlen($input['cellphone'])==0)
         {
-            $result['errors'][]="Sá» Äiá»n thoáº¡i khÃŽng ÄÆ°á»£c Äá» trá»ng";
+            $result['errors'][]=array("content"=>"Sá» Äiá»n thoáº¡i khÃŽng ÄÆ°á»£c Äá» trá»ng","field"=>"cellphone");
         }
         else
@@ -96,14 +96,17 @@
             if ($this->collabolator_model->isExist(array('field'=>'cellphone','value'=>$input['cellphone'])))
             {
-                $result['errors'][]="Sá» Äiá»n thoáº¡i ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng";
+                $result['errors'][]=array("content"=>"Sá» Äiá»n thoáº¡i ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng","field"=>"cellphone");
             }
         }
         if (strlen($input['passwd'])==0)
         {
-            $result['errors'][]="Máº­t kháº©u khÃŽng ÄÆ°á»£c Äá» trá»ng";
-        }
-        if ($input['passwd'] != $input['passwd2'])
-        {
-            $result['errors'][]="Máº­t kháº©u khÃŽng trÃ¹ng nhau";
+            $result['errors'][]=array("content"=>"Máº­t kháº©u khÃŽng ÄÆ°á»£c Äá» trá»ng","field"=>"passwd");
+        }
+        else
+        {
+            if ($input['passwd'] != $input['passwd2'])
+            {
+                $result['errors'][]=array("content"=>"Máº­t kháº©u pháº£i trÃ¹ng nhau","field"=>"passwd");
+            }
         }
         if (!isset($result['errors']))
Index: pro-violet-viettel/sourcecode/application/modules/admin/controllers/smstemplate.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/controllers/smstemplate.php	(revision 575)
+++ pro-violet-viettel/sourcecode/application/modules/admin/controllers/smstemplate.php	(revision 576)
@@ -75,9 +75,9 @@
         if (strlen($input['sms_content'])==0)
         {
-            $result['errors'][]="Ná»i dung tin nháº¯n khÃŽng ÄÆ°á»£c Äá» trá»ng";
+            $result['errors'][]=array("content"=>"Ná»i dung tin nháº¯n khÃŽng ÄÆ°á»£c Äá» trá»ng","field"=>"sms_content");
         }
         if (strlen($input['sms_reply'])==0)
         {
-            $result['errors'][]="Tin nháº¯n tráº£ vá» khÃŽng ÄÆ°á»£c Äá» trá»ng";
+            $result['errors'][]=array("content"=>"Tin nháº¯n tráº£ vá» khÃŽng ÄÆ°á»£c Äá» trá»ng","field"=>"sms_reply");
         }
         else
@@ -91,7 +91,11 @@
              */
         }
+        if (strlen($input['commandcode'])==0)
+        {
+            $result['errors'][]=array("content"=>"Command code khÃŽng ÄÆ°á»£c Äá» trá»ng","field"=>"commandcode");
+        }
         if (strlen($input['service_id'])==0)
         {
-            $result['errors'][]="MÃ£ dá»ch vá»¥ khÃŽng ÄÆ°á»£c Äá» trá»ng";
+            $result['errors'][]=array("content"=>"Service id khÃŽng ÄÆ°á»£c Äá» trá»ng","field"=>"service_id");
         }
         else
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/index.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/index.php	(revision 575)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/index.php	(revision 576)
@@ -132,8 +132,11 @@
 
                         <div class="col-sm-9">
+                            <label class="block clearfix has-error">
                             <span class="input-icon">
                                 <input name="full_name" type="text" id="form-field-1" placeholder="TÃªn cá»ng tÃ¡c viÃªn">
                                 <i class="icon-user blue"></i>
                             </span>
+                            <div id="full_name" class="help-block error"></div>
+                            </label>
                         </div>
                         <div class="help-block"> </div>
@@ -143,8 +146,11 @@
 
                         <div class="col-sm-9">
+                            <label class="block clearfix has-error">
                             <span class="input-icon">
                                 <input name="login_name" type="text" id="form-field-1" placeholder="TÃ i khoáº£n">
                                 <i class="icon-user blue"></i>
                             </span>
+                            <div id="login_name" class="help-block error"></div>
+                            </label>
                         </div>
                         <div class="help-block"> </div>
@@ -154,8 +160,11 @@
 
                         <div class="col-sm-9">
+                            <label class="block clearfix has-error">
                             <span class="input-icon">
                                 <input name="cellphone" type="text" id="form-field-1" placeholder="Sá» Äiá»n thoáº¡i">
                                 <i class="icon-user blue"></i>
                             </span>
+                            <div id="cellphone" class="help-block error"></div>
+                            </label>
                         </div>
                         <div class="help-block"> </div>
@@ -167,8 +176,11 @@
 
                         <div class="col-sm-9">
+                            <label class="block clearfix has-error">
                             <span class="input-icon">
                                 <input type="password" name="passwd" id="form-field-2" placeholder="Máº­t kháº©u">
                                 <i class="icon-lock blue"></i>
                             </span>
+                            <div id="passwd" class="help-block error"></div>
+                            </label>
                         </div>
                         <div class="help-block"> </div>
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/index.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/index.php	(revision 575)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/index.php	(revision 576)
@@ -134,8 +134,11 @@
 
                         <div class="col-sm-9">
+                            <label class="block clearfix has-error">
                             <span class="input-icon">
                                 <input  name="sms_content" type="text" id="form-field-1" placeholder="Máº«u tin nháº¯n" value="">
                                 <i class="icon-user blue"></i>
                             </span>
+                            <div id="sms_content" class="help-block error"></div>
+                            </label>
                         </div>
                         <div class="help-block"> </div>
@@ -145,8 +148,11 @@
 
                         <div class="col-sm-9">
+                            <label class="block clearfix has-error">
                             <span class="input-icon">
                                 <input  name="sms_reply" type="text" id="form-field-1" placeholder="Tin tráº£ lá»i"  value="">
                                 <i class="icon-user blue"></i>
                             </span>
+                            <div id="sms_reply" class="help-block error"></div>
+                            </label>
                         </div>
                         <div class="help-block"> </div>
@@ -156,8 +162,11 @@
 
                         <div class="col-sm-9">
+                            <label class="block clearfix has-error">
                             <span class="input-icon">
                                 <input   name="service_id" type="text" id="form-field-1" placeholder="MÃ£ dá»ch vá»¥"  value="">
                                 <i class="icon-user blue"></i>
                             </span>
+                            <div id="service_id" class="help-block error"></div>
+                            </label>
                         </div>
                         <div class="help-block"> </div>
@@ -167,8 +176,11 @@
 
                         <div class="col-sm-9">
+                            <label class="block clearfix has-error">
                             <span class="input-icon">
                                 <input   name="commandcode" type="text" id="form-field-1" placeholder="MÃ£ lá»nh"  value="">
                                 <i class="icon-user blue"></i>
                             </span>
+                            <div id="commandcode" class="help-block error"></div>
+                            </label>
                         </div>
                         <div class="help-block"> </div>
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/listview.php	(revision 575)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/listview.php	(revision 576)
@@ -76,11 +76,8 @@
                                 
                              
-                                <th class="<?php if ($sorting_field == 'sms_content') {echo $sorting_order;} else {echo "sorting";}?>" id="sms_content" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 283px;" aria-label="Há» tÃªn: activate to sort column ascending">Máº«u tin nháº¯n</th>
-                                <th class="<?php if ($sorting_field == 'sms_reply') {echo $sorting_order;} else {echo "sorting";}?>" id="sms_reply" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Tráº£ lá»i</th>
-                                <th class="<?php if ($sorting_field == 'service_id') {echo $sorting_order;} else {echo "sorting";}?>" id="service_id" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">MÃ£ dá»ch vá»¥</th> 
-                                <th class="<?php if ($sorting_field == 'commandcode') {echo $sorting_order;} else {echo "sorting";}?>" id="commandcode" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 209px;" aria-label="NgÃ y ÄÄng kÃœ: activate to sort column ascending">
-                                    
-                                    MÃ£ cÃ¢u lá»nh
-                                </th>
+                                <th class="<?php if ($sorting_field == 'sms_content') {echo $sorting_order;} else {echo "sorting";}?>" id="sms_content" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 283px;" aria-label="Há» tÃªn: activate to sort column ascending">SMS Content</th>
+                                <th class="<?php if ($sorting_field == 'sms_reply') {echo $sorting_order;} else {echo "sorting";}?>" id="sms_reply" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">SMS Reply</th>
+                                <th class="<?php if ($sorting_field == 'service_id') {echo $sorting_order;} else {echo "sorting";}?>" id="service_id" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Service Id</th> 
+                                <th class="<?php if ($sorting_field == 'commandcode') {echo $sorting_order;} else {echo "sorting";}?>" id="commandcode" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 209px;" aria-label="NgÃ y ÄÄng kÃœ: activate to sort column ascending">Command Code</th>
                                    <th class="sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 133px;" aria-label="">Chá»©c nÄng</th></tr>
                         </thead>