Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/home/deleteSms.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/home/deleteSms.php	(revision 585)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/home/deleteSms.php	(revision 585)
@@ -0,0 +1,81 @@
+ 
+    <div class="modal-dialog">
+        <div class="modal-content">
+            <div class="modal-header no-padding">
+                <div class="table-header">
+                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
+                        <span class="white">Ã</span>
+                    </button>
+                    Máº«u tin nháº¯n
+                </div>
+            </div>
+
+            <div class="modal-body">
+                <form id="delete_sms_<?php echo $sms_id;?>" onsubmit="return false;" class="form-horizontal" role="form">
+                    <input type="hidden" value="<?php echo $sms_id?>" name="sms_id" />
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Máº«u tin nháº¯n </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input disabled name="sms_content" type="text" id="form-field-1" placeholder="Máº«u tin nháº¯n" value="<?php echo $sms_content;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Tin tráº£ lá»i </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input disabled name="sms_reply" type="text" id="form-field-1" placeholder="Tin tráº£ lá»i"  value="<?php echo $sms_reply;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ dá»ch vá»¥</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  disabled name="service_id" type="text" id="form-field-1" placeholder="MÃ£ dá»ch vá»¥"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ lá»nh</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  disabled name="commandcode" type="text" id="form-field-1" placeholder="MÃ£ lá»nh"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    
+                   
+                    <div class="space-4"></div>
+<div class="form-group errors" id="add_sms_<?php echo $sms_id;?>"></div>
+                    
+
+                    <div class="space-4"></div>
+                    <div class="form-group errors" id="error_delete_sms_<?php echo $sms_id;?>"></div>
+                        
+                    </div>
+                    <div class="clearfix form-actions">
+                        <div class="col-md-offset-3 col-md-9">
+                            <a href="#" class="btn btn-primary" onclick="return deletesms('<?php echo $sms_id;?>')">XÃ³a cá»ng tÃ¡c viÃªn nÃ y</a>
+                            <a href="#" id="close_delete_sms_<?php echo $sms_id;?>" class="btn btn-primary" data-dismiss="modal">ÄÃ³ng cá»­a sá»</a>
+
+                            
+                        </div>
+                    </div>
+
+                </form></div>
+
+        </div>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/home/editSms.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/home/editSms.php	(revision 585)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/home/editSms.php	(revision 585)
@@ -0,0 +1,81 @@
+ 
+    <div class="modal-dialog">
+        <div class="modal-content">
+            <div class="modal-header no-padding">
+                <div class="table-header">
+                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
+                        <span class="white">Ã</span>
+                    </button>
+                    Máº«u tin nháº¯n
+                </div>
+            </div>
+
+            <div class="modal-body">
+                <form id="editSms_<?php echo $sms_id;?>" onsubmit="return false;" class="form-horizontal" role="form">
+                    <input type="hidden" name="sms_id" value="<?php echo $sms_id;?>">
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Máº«u tin nháº¯n </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  name="sms_content" type="text" id="form-field-1" placeholder="Máº«u tin nháº¯n" value="<?php echo $sms_content;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Tin tráº£ lá»i </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  name="sms_reply" type="text" id="form-field-1" placeholder="Tin tráº£ lá»i"  value="<?php echo $sms_reply;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ dá»ch vá»¥</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input   name="service_id" type="text" id="form-field-1" placeholder="MÃ£ dá»ch vá»¥"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ lá»nh</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input   name="commandcode" type="text" id="form-field-1" placeholder="MÃ£ lá»nh"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    
+                   
+                    <div class="space-4"></div>
+
+                    
+
+                    <div class="space-4"></div>
+                    <div class="form-group errors" id="add_user"></div>
+                        
+                    </div>
+                    <div class="clearfix form-actions">
+                        <div class="col-md-offset-3 col-md-9">
+                            <a href="#" class="btn btn-primary" onclick="return updatesms('<?php echo $sms_id;?>')">Cáº­p nháº­t</a>
+                            <a href="#" class="btn btn-primary" id="close_edit_sms_<?php echo $sms_id;?>" data-dismiss="modal">ÄÃ³ng cá»­a sá»</a>
+
+                            
+                        </div>
+                    </div>
+
+                </form></div>
+
+        </div>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/home/index.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/home/index.php	(revision 585)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/home/index.php	(revision 585)
@@ -0,0 +1,201 @@
+<?php
+$base_url = base_url();
+$this->load->view('layout/admin/header', array('base_url' => $base_url));
+$this->load->view('layout/admin/sidebar', array('base_url' => $base_url, 'method'=>$this->router->method, 'class'=>$this->router->class  ));
+?>
+<script type="text/javascript">
+    function init_page()
+    {
+
+        $(".ajax_paging").click(function () {
+            $.ajax({
+                url: $(this).attr("href"),
+                type: "POST",
+                data: $("#collaborator").serialize(),
+                success: function (data, textStatus, jqXHR)
+                {
+                    // $result = jQuery.parseJSON(data);
+                    $("#content").html(data);
+                    init_page();
+
+                },
+                error: function (jqXHR, textStatus, errorThrown)
+                {
+                    $(".ajaxloading").hide();
+                }
+            });
+            return false;
+        })
+        $('#keyword').keyup(function (event) {
+            if (event.keyCode == '13') {
+                filter();
+            }
+            return false;
+        });
+        
+        
+        $( '.sorting, .sorting_desc, .sorting_asc' ).click(function( index ) {
+            var current_class=$( this ).attr('class');
+            $(".sorting_desc").attr("class","sorting");
+            $(".sorting_asc").attr("class","sorting");
+     
+            if(current_class=='sorting')
+            {
+                $(this).attr("class","sorting_desc");
+            }
+            else
+            {
+                if(current_class=='sorting_desc')
+                {
+                    $(this).attr("class","sorting_asc");
+                }
+                else
+                    {
+                    if(current_class=='sorting_asc')
+                    {
+                        $(this).attr("class","sorting");
+                    }
+                }
+            }
+            $("#sorting_field").val($(this).attr("id"));
+            $("#sorting_order").val($(this).attr("class"));
+            filter();
+        });
+        $('[data-toggle="ajaxModal"]').on('click',
+              function(e) {
+                $('#ajaxModal').remove();
+                e.preventDefault();
+                var $this = $(this)
+                  , $remote = $this.data('remote') || $this.attr('href')
+                  , $modal = $('<div class="modal" id="ajaxModal"><div class="modal-body"></div></div>');
+                $('body').append($modal);
+                $modal.modal({backdrop: 'static', keyboard: false});
+                $modal.load($remote);
+              }
+            );
+
+
+ 
+				$('#sales-charts').css({'width':'100%' , 'height':'200px'});
+				$.plot("#sales-charts", <?php echo json_encode($chard) ?>, {
+					hoverable: true,
+					shadowSize: 0,
+					series: {
+						lines: { show: true },
+						points: { show: true }
+					},
+					xaxis: {
+						tickLength: 0
+					},
+					yaxis: {
+						ticks: 10,
+						min: 0,
+						max:<?php echo $max;?>,
+						tickDecimals: 0
+					},
+					grid: {
+						backgroundColor: { colors: [ "#fff", "#fff" ] },
+						borderWidth: 1,
+						borderColor:'#555'
+					}
+				});
+    }
+
+
+    function filter()
+    {
+        $.ajax({
+            url: '<?php echo base_url();?>admin/doanh_thu_tong_hop/trang/1',
+            type: "POST",
+            data: $("#collaborator").serialize(),
+            success: function (data, textStatus, jqXHR)
+            {
+                // $result = jQuery.parseJSON(data);
+                $("#content").html(data);
+                init_page();
+                $("#keyword").focus();
+                $("#keyword").setCursorToTextEnd();
+
+            },
+            error: function (jqXHR, textStatus, errorThrown)
+            {
+                $(".ajaxloading").hide();
+            }
+        });
+    }
+
+
+</script>
+<style type="text/css" media="screen">
+			.widget-header-flat {
+				background: #307ecc;
+				color: #fff
+			}
+			.widget-toolbar>[data-action="collapse"], .header-color-dark>.widget-toolbar>[data-action="collapse"] {
+				color: #fff
+			}
+			.widget-header, .widget-content {
+				width: auto
+			}
+			.widget-body .table thead:first-child tr {
+				background: #EDECEC;
+			    color: #707070;
+			    font-weight: normal;
+			}
+		</style>
+             
+<div class="main-content" >
+    <div id="breadcrumbs" class="breadcrumbs">
+
+    <ul class="breadcrumb">
+        <li>
+            <i class="icon-home home-icon"></i>
+            <a href="<?php echo $base_url;?>/admin/home">Trang chá»§</a>
+        </li>
+
+        <li>
+            <a href="<?php echo $base_url;?>/admin/home"">Báº£ng Äiá»u khiá»n</a>
+        </li>
+        
+    </ul><!-- .breadcrumb -->
+
+    <div id="nav-search" class="nav-search">
+        <form class="form-search">
+            <span class="input-icon">
+                <input type="text" autocomplete="off" id="nav-search-input" class="nav-search-input" placeholder="TÃ¬m kiáº¿m ...">
+                <i class="icon-search nav-search-icon"></i>
+            </span>
+        </form>
+    </div><!-- #nav-search -->
+</div>
+    
+    
+    
+    
+<div class="page-content">
+    
+    <div class="page-header">
+       
+    </div><!-- /.page-header -->
+    
+     <div class="row">  
+    <?php echo $statistics; ?>   
+     </div>
+     <div class="row" id="content">    
+    <?php echo $content; ?>
+     </div>
+    </div>
+</div><!-- /.main-content -->
+</div><!-- /.main-container-inner -->
+
+<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
+    <i class="icon-double-angle-up icon-only bigger-110"></i>
+</a>
+</div><!-- /.main-container -->
+
+
+
+</div><!-- /.modal-dialog -->
+<?php
+$this->load->view('layout/admin/footer', array('base_url' => $base_url));
+?>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/home/listview.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/home/listview.php	(revision 585)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/home/listview.php	(revision 585)
@@ -0,0 +1,104 @@
+
+
+   
+        <div class="col-xs-12">
+            <!-- PAGE CONTENT BEGINS -->
+            <div style="padding-bottom:4px" class="table-header">
+                Doanh thu
+            </div>
+
+            <div class="table-responsive">
+                <div role="grid" class="dataTables_wrapper" id="sample-table-2_wrapper">
+                    <form autocomplete="off" onsubmit="return false;" id="collaborator" >
+                        <div class="row">
+                            <div class="col-sm-6">
+                                <div id="sample-table-2_length" class="dataTables_length"><label>Hiá»n thá» 
+                                        <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">                                      
+                                            <?php foreach ($itemsoptions as $option) { ?>
+                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?php echo $option;?>"><?php echo $option;?></option>
+                                            <?php } ?>
+                                        </select> báº£n ghi</label>
+
+                                </div>
+                            </div>
+
+                            <div class="col-sm-6">
+                                <div class="dataTables_filter" id="sample-table-2_filter">
+                                    <label>TÃ¬m kiáº¿m: 
+                                        <input type="text" name="keyword" id="keyword" value='<?php echo $keyword;?>' aria-controls="sample-table-2"></label>
+                                </div>
+                            </div>
+                        </div>
+                        <input type="hidden" name="sorting_order" id="sorting_order" value="<?php echo $sorting_order;?>" />
+                        <input type="hidden" name="sorting_field" id="sorting_field" value="<?php echo $sorting_field;?>"/>
+                    </form>
+                    <table class="table table-striped table-bordered table-hover dataTable" id="sample-table-2" aria-describedby="sample-table-2_info">
+                        <thead>
+                            <tr role="row">
+                                
+                                <th class="<?php if ($sorting_field == 'fullname') {echo $sorting_order;} else {echo "";}?>" id="full_name" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Há» tÃªn</th>
+                                <th class="<?php if ($sorting_field == 'cellphone') {echo $sorting_order;} else {echo "sorting";}?>" id="cellphone" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 283px;" aria-label="Há» tÃªn: activate to sort column ascending">Sá» Äiá»n thoáº¡i</th>
+                                <th class="<?php if ($sorting_field == 'amount') {echo $sorting_order;} else {echo "sorting";}?>" id="amount" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Sá» tiá»n</th> 
+                                <th class="<?php if ($sorting_field == 'paid_type') {echo $sorting_order;} else {echo "sorting";}?>" id="paid_type" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">SMS/Card</th> 
+                                <th class="<?php if ($sorting_field == 'paid_time') {echo $sorting_order;} else {echo "sorting";}?>" id="paid_time" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 209px;" aria-label="NgÃ y ÄÄng kÃœ: activate to sort column ascending">NgÃ y</th>
+                                  
+                        </thead>
+
+
+                        <tbody role="alert" aria-live="polite" aria-relevant="all">
+                            
+                            <?php
+                            foreach ($paidlogs as $paidlog) {
+                                ?>
+                            <tr class="odd">
+                                
+
+                                <td class=" ">
+                                    <a href="#"><?php echo $paidlog['username'];?></a>
+                                </td>
+                                <td class=" "><?php echo $paidlog['cellphone']?></td>
+                                
+                                <td class="hidden-480 "><?php echo number_format($paidlog['amount'],0);?></td>
+                                <td class="hidden-480 "><?php if ($paidlog['paid_type']==1) {echo "SMS";} else { echo "Card";}?></td>
+                                <td class=" "><?php echo $paidlog['paid_time']?></td>
+
+                               
+
+                                
+                            </tr>
+                            <?php } ?>
+
+
+
+
+
+
+
+                        </tbody></table><div class="row"><div class="col-sm-6">
+                                <div class="dataTables_info" id="sample-table-2_info">Hiá»n thá» <?php echo ($start+1)?> Äáº¿n <?php echo ($start+$perpage)?> cá»§a <?php echo $total?> báº£n ghi</div>
+                                    
+                            </div>
+                        <div class="col-sm-6">
+                            <div class="dataTables_paginate paging_bootstrap">
+                                <ul class="pagination">
+                                    <?php echo $paging; ?>
+                                </ul>
+                            </div>
+                        </div>
+                    </div>
+
+                </div>
+            </div>
+
+            
+        </div>
+
+
+<script type="text/javascript">
+    window.onload = function ()
+    {
+        init_page();
+    }
+
+
+</script>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/home/statistics.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/home/statistics.php	(revision 585)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/home/statistics.php	(revision 585)
@@ -0,0 +1,195 @@
+<div class="row">
+    <div class="col-xs-12">
+        <!-- PAGE CONTENT BEGINS -->
+        <div class="col-xs-3">
+            <div class="widget green-1 animated fadeInDown">
+                <div class="widget-content padding">
+                    <div class="widget-icon">
+                        <i class="icon-group"></i>
+                    </div>
+                    <div class="text-box">
+                        <p class="maindata">LÆ¯á»¢NG <b>NGÆ¯á»I DÃNG</b></p>
+                        <h2><span class="animate-number" data-value="18648" data-duration="3000"><?php echo $top['this_month']['user']; ?></span></h2>
+                        <div class="clearfix"></div>
+                    </div>
+                </div>
+                <div class="widget-footer">
+                    <div class="row">
+                        <div class="col-sm-12">
+                            <i class="icon-caret-<?php echo $percent['user']['class']; ?> rel-change"></i> <b><?php echo $percent['user']['value']; ?></b>% <?php echo $percent['user']['display']; ?> so vá»i thÃ¡ng trÆ°á»c
+                        </div>
+                    </div>
+                    <div class="clearfix"></div>
+                </div>
+            </div>
+        </div>
+
+        <div class="col-xs-3">
+            <div class="widget darkblue-1 animated fadeInDown">
+                <div class="widget-content padding">
+                    <div class="widget-icon">
+                        <i class="icon-envelope"></i>
+                    </div>
+                    <div class="text-box">
+                        <p class="maindata">DOANH THU <b>SMS</b></p>
+                        <h2><span class="animate-number" data-value="18648" data-duration="3000"><?php echo number_format($top['this_month']['sms'],0); ?></span></h2>
+                        <div class="clearfix"></div>
+                    </div>
+                </div>
+                <div class="widget-footer">
+                    <div class="row">
+                        <div class="col-sm-12">
+                            <i class="icon-caret-<?php echo $percent['sms']['class']; ?> rel-change"></i> <b><?php echo $percent['sms']['value']; ?></b>% <?php echo $percent['sms']['display']; ?> so vá»i thÃ¡ng trÆ°á»c
+                        </div>
+                    </div>
+                    <div class="clearfix"></div>
+                </div>
+            </div>
+        </div>
+
+        <div class="col-xs-3">
+            <div class="widget pink-1 animated fadeInDown">
+                <div class="widget-content padding">
+                    <div class="widget-icon">
+                        <i class="icon-credit-card"></i>
+                    </div>
+                    <div class="text-box">
+                        <p class="maindata">DOANH THU <b>THáºº CÃO</b></p>
+                        <h2><span class="animate-number" data-value="18648" data-duration="3000"><?php echo number_format($top['this_month']['card'],0); ?></span></h2>
+                        <div class="clearfix"></div>
+                    </div>
+                </div>
+                <div class="widget-footer">
+                    <div class="row">
+                        <div class="col-sm-12">
+                            <i class="icon-caret-<?php echo $percent['card']['class']; ?> rel-change"></i> <b><?php echo $percent['card']['value']; ?></b>% <?php echo $percent['card']['display']; ?> so vá»i thÃ¡ng trÆ°á»c
+                        </div>
+                    </div>
+                    <div class="clearfix"></div>
+                </div>
+            </div>
+        </div>
+
+        <div class="col-xs-3">
+            <div class="widget lightblue-1 animated fadeInDown">
+                <div class="widget-content padding">
+                    <div class="widget-icon">
+                        <i class="icon-male"></i>
+                    </div>
+                    <div class="text-box">
+                        <p class="maindata">DOANH THU <b>Cá»NG TÃC VIÃN</b></p>
+                        <h2><span class="animate-number" data-value="18648" data-duration="3000"><?php echo number_format($top['this_month']['collaborator'],0); ?></span></h2>
+                        <div class="clearfix"></div>
+                    </div>
+                </div>
+                <div class="widget-footer">
+                    <div class="row">
+                        <div class="col-sm-12">
+                            <i class="icon-caret-<?php echo $percent['collaborator']['class']; ?> rel-change"></i> <b><?php echo $percent['collaborator']['value']; ?></b>% <?php echo $percent['collaborator']['display']; ?> so vá»i thÃ¡ng trÆ°á»c
+                        </div>
+                    </div>
+                    <div class="clearfix"></div>
+                </div>
+            </div>
+        </div>
+
+
+
+        <!-- PAGE CONTENT ENDS -->
+    </div><!-- /.col -->
+</div>
+<div class="col-xs-12">
+    <!-- PAGE CONTENT BEGINS -->
+    <div class="col-xs-6 no-padding">
+        <div class="widget-box no-border">
+            <div class="widget-header widget-header-flat">
+                <h4 class="lighter">
+                    <i class="icon-signal"></i>
+                    Doanh thu
+                </h4>
+
+                <div class="widget-toolbar">
+                    <a data-action="collapse" href="#">
+                        <i class="icon-chevron-up"></i>
+                    </a>
+                </div>
+            </div>
+            <div class="widget-body">
+                <div class="table-responsive">
+                    <table class="table table-striped table-bordered table-hover" id="sample-table-1">
+                        <thead style="background-color: blue">
+                            <tr>
+                                <th>Thá»i gian</th>
+                                <th>Doanh thu</th>
+                            </tr>
+                        </thead>
+
+                        <tbody>
+                            <tr>
+                                <td>Tuáº§n trÆ°á»c</td>
+                                <td>
+                                    <?php echo number_format($revenue['last_week'], 0); ?>
+                                </td>
+                            </tr>
+                            <tr>
+                                <td>ThÃ¡ng trÆ°á»c</td>
+                                <td>
+                                    <?php echo number_format($revenue['last_month'], 0); ?>
+                                </td>
+                            </tr>
+                            <tr>
+                                <td>QuÃœ trÆ°á»c</td>
+                                <td>
+                                    <?php echo number_format($revenue['last_quarter'], 0); ?>
+                                </td>
+                            </tr>
+                            <tr>
+                                <td>NÄm trÆ°á»c</td>
+                                <td>
+                                    <?php echo number_format($revenue['last_year'], 0); ?>
+                                </td>
+                            </tr>
+                        </tbody>
+                    </table>
+                </div><!-- /.table-responsive -->
+            </div>
+        </div>
+    </div>
+
+    <div class="col-xs-6">
+        <div class="widget-box no-border">
+            <div class="widget-header widget-header-flat">
+                <h4 class="lighter">
+                    <i class="icon-signal"></i>
+                    Biá»u Äá» doanh thu
+                </h4>
+
+                <div class="widget-toolbar">
+                    <a data-action="collapse" href="#">
+                        <i class="icon-chevron-up"></i>
+                    </a>
+                </div>
+            </div>
+
+            <div class="widget-body">
+                <div class="widget-main padding-4">
+                    <div id="sales-charts"></div>
+                </div><!-- /widget-main -->
+            </div>
+
+        </div><!-- /widget-box -->
+    </div>
+
+    <div class="clearfix"></div>
+
+
+
+    <!-- PAGE CONTENT ENDS -->
+</div>
+<script type="text/javascript">
+    window.onload = function ()
+    {
+        init_page();
+    }
+
+</script>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/home/viewSms.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/home/viewSms.php	(revision 585)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/home/viewSms.php	(revision 585)
@@ -0,0 +1,79 @@
+ 
+    <div class="modal-dialog">
+        <div class="modal-content">
+            <div class="modal-header no-padding">
+                <div class="table-header">
+                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
+                        <span class="white">Ã</span>
+                    </button>
+                    Máº«u tin nháº¯n
+                </div>
+            </div>
+
+            <div class="modal-body">
+                <form id="add_user" onsubmit="return false;" class="form-horizontal" role="form">
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Máº«u tin nháº¯n </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input disabled name="sms_content" type="text" id="form-field-1" placeholder="Máº«u tin nháº¯n" value="<?php echo $sms_content;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Tin tráº£ lá»i </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input disabled name="sms_reply" type="text" id="form-field-1" placeholder="Tin tráº£ lá»i"  value="<?php echo $sms_reply;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ dá»ch vá»¥</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  disabled name="service_id" type="text" id="form-field-1" placeholder="MÃ£ dá»ch vá»¥"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ lá»nh</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  disabled name="commandcode" type="text" id="form-field-1" placeholder="MÃ£ lá»nh"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    
+                   
+                    <div class="space-4"></div>
+
+                    
+
+                    <div class="space-4"></div>
+                    <div class="form-group errors" id="add_user"></div>
+                        
+                    </div>
+                    <div class="clearfix form-actions">
+                        <div class="col-md-offset-3 col-md-9">
+                            <a href="#" class="btn btn-primary" data-dismiss="modal">ÄÃ³ng cá»­a sá»</a>
+
+                            
+                        </div>
+                    </div>
+
+                </form></div>
+
+        </div>